#!/bin/bash

#declare -a arr=("@Ragnarok" "@Olympus" "@CrystalIsles")
#declare -a arr=("@CrystalIsles")
declare -a arr=("@Ragnarok")

echo "How long would you like to wait before restarting the server? Warning will be issued immedaitely."
echo ""
echo "Options: R = Restart Immediately, 1, 5, 10, or 15 = delay that many minutes; 15 = 15 minute delay; Ctrl-C = cancel"
echo ""
read -p "Time? " delay

for i in "${arr[@]}"
do
	echo "Downloading update  on instance $i"
	arkmanager update --update-mods --stagingdir=/home/steam/staging --downloadonly $i
#read -p "Hit enter to continue..."
	echo ""
done


case $delay in
        "R" )
                echo "Restarting immediately"
		arkmanager broadcast "Servers going down for update immediately." @all
		sleep 10
                ;;
	15 )
		echo "Restarting in 15 minutes"
		arkmanager broadcast "Servers going down for update in 15 minutes." @all
		sleep 300
		echo "Restarting in 10 minutes"
                arkmanager broadcast "Servers going down for update in 10 minutes." @all
                sleep 300
		echo "Restarting in 5 minutes"
                arkmanager broadcast "Servers going down for update in 5 minutes." @all
                sleep 120
		echo "Restarting in 3 minutes"
                arkmanager broadcast "Servers going down for update in 3 minutes." @all
                sleep 120
                echo "Restartng in 1 minute"
		arkmanager broadcast "Servers going down for update in 1 minute." @all
		sleep 90
		;;
	10 )
		echo "Restarting in 10 minutes"
                arkmanager broadcast "Servers going down for update in 10 minutes." @all
                sleep 300
		echo "Restarting in 5 minutes"
                arkmanager broadcast "Servers going down for update in 5 minutes." @all
                sleep 120
		echo "Restarting in 3 minutes"
                arkmanager broadcast "Servers going down for update in 3 minutes." @all
                sleep 120
                echo "Restartng in 1 minute"
		arkmanager broadcast "Servers going down for update in 1 minute." @all
		sleep 90
		;;
	5 )
		echo "Restarting in 5 minutes"
                arkmanager broadcast "Servers going down for update in 5 minutes." @all
                sleep 120
		echo "Restarting in 3 minutes"
                arkmanager broadcast "Servers going down for update in 3 minutes." @all
                sleep 120
                echo "Restartng in 1 minute"
		arkmanager broadcast "Servers going down for update in 1 minute." @all
		sleep 90
                ;;
        1 )
                echo "Restartng in 1 minute"
		arkmanager broadcast "Servers going down for update in 1 minute." @all
		sleep 90
                ;;
        * )
                echo "Invalid delay option"
                exit
esac

echo "Restarting server..."

#read -p "Hit enter to continue..."

arkmanager stop --saveworld @all
sleep 10
#arkmanager backup @all

echo "   Note: backup is no longer being automatically executed on update. Please run ark_backup.sh manually to back up."

#read -p "Hit enter to continue..."

for i in "${arr[@]}"
do
	echo "Updating on instance $i"
	arkmanager update --update-mods --stagingdir=/home/steam/staging $i

#read -p "Hit enter to continue..."
	echo ""
done

# load the REAL ini files
/usr/local/games/_ark_load_real_ini.sh

sleep 10
echo "Starting servers - should be up in 3-5 minutes"
arkmanager start @all



